Create new domain
const url = 'https://example.com/api/v1/system/domains?createRole=false';const options = { method: 'POST', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"orgID":0,"domainname":"example","maxUser":1,"title":"","address":"","adminName":"","tel":"","endDay":"example","domainStatus":0,"syncPolicy":{"allowbluetooth":0,"allowbrowser":0,"allowcam":0,"allowconsumeremail":0,"allowdesktopsync":0,"allowhtmlemail":0,"allowinternetsharing":0,"allowirda":0,"allowpopimapemail":0,"allowremotedesk":0,"allowsimpledevpw":0,"allowsmimeencalgneg":0,"allowsmimesoftcerts":0,"allowstoragecard":0,"allowtextmessaging":0,"allowunsignedapps":0,"allowunsigninstallpacks":0,"allowwifi":0,"alphanumpwreq":0,"approvedapplist":[],"attenabled":0,"devencenabled":0,"devpwenabled":0,"devpwexpiration":0,"devpwhistory":0,"maxattsize":"","maxcalagefilter":0,"maxdevpwfailedattempts":8,"maxemailagefilter":0,"maxemailbodytruncsize":-1,"maxemailhtmlbodytruncsize":-1,"maxinacttimedevlock":900,"mindevcomplexchars":3,"mindevpwlenngth":4,"pwrecoveryenabled":0,"reqdevenc":0,"reqencsmimealgorithm":0,"reqencsmimemessages":0,"reqmansyncroam":0,"reqsignedsmimealgorithm":0,"reqsignedsmimemessages":0,"reqstoragecardenc":0,"unapprovedinromapplist":[]},"chat":true,"homeserver":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/system/domains?createRole=false' \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "orgID": 0, "domainname": "example", "maxUser": 1, "title": "", "address": "", "adminName": "", "tel": "", "endDay": "example", "domainStatus": 0, "syncPolicy": { "allowbluetooth": 0, "allowbrowser": 0, "allowcam": 0, "allowconsumeremail": 0, "allowdesktopsync": 0, "allowhtmlemail": 0, "allowinternetsharing": 0, "allowirda": 0, "allowpopimapemail": 0, "allowremotedesk": 0, "allowsimpledevpw": 0, "allowsmimeencalgneg": 0, "allowsmimesoftcerts": 0, "allowstoragecard": 0, "allowtextmessaging": 0, "allowunsignedapps": 0, "allowunsigninstallpacks": 0, "allowwifi": 0, "alphanumpwreq": 0, "approvedapplist": [], "attenabled": 0, "devencenabled": 0, "devpwenabled": 0, "devpwexpiration": 0, "devpwhistory": 0, "maxattsize": "", "maxcalagefilter": 0, "maxdevpwfailedattempts": 8, "maxemailagefilter": 0, "maxemailbodytruncsize": -1, "maxemailhtmlbodytruncsize": -1, "maxinacttimedevlock": 900, "mindevcomplexchars": 3, "mindevpwlenngth": 4, "pwrecoveryenabled": 0, "reqdevenc": 0, "reqencsmimealgorithm": 0, "reqencsmimemessages": 0, "reqmansyncroam": 0, "reqsignedsmimealgorithm": 0, "reqsignedsmimemessages": 0, "reqstoragecardenc": 0, "unapprovedinromapplist": [] }, "chat": true, "homeserver": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”CSRF Token
Query Parameters
Section titled “Query Parameters”Whether to automatically create a domain admin role for the new domain
Request Body
Section titled “Request Body”object
Unique ID of the object
Name of the domain, automatically converted to IDNA format
Decoded unicode domain name
Date string
Domain status (0=Normal, 1=Suspended, 2=Out Of Date, 3=Deleted)
Active Sync Policy overrides
object
Whether Bluetooth and hands-free profiles are allowed on the device (0=disabled, 1=allow only HFP, 2=allow)
Whether the device allows the use of a web browser.
Whether the device allows the use of the built-in camera.
Whether the device allows the use of personal email.
Whether the device allows synchronization with Desktop ActiveSync.
Whether the device uses HTML-formatted email.
Whether the device allows the use of Internet Sharing.
Whether the device allows the use of IrDA (infrared) connections.
Whether the device allows access to POP/IMAP email.
Whether the device allows the use of Remote Desktop.
Whether the device allows simple passwords.
Whether the device can negotiate the encryption algorithm to be used for signing (0=not allowed, 1=only strong, 2=any)
Whether the device uses soft certificates to sign outgoing messages.
Whether the device allows the use of the storage card.
Whether the device allows Short Message Service (SMS)/text messaging.
Whether the device allows unsigned applications to execute.
Whether the device allows unsigned cabinet (.cab) files to be installed.
Whether the device allows the use of Wi-Fi connections.
Indicates whether a client device requires an alphanumeric password.
A list of in-RAM applications that are approved for execution.
Indicates whether email attachments are enabled.
Deprecated, kept for backwards compatibility
Indicates whether a client device requires a password.
Whether the password expires after the specified number of days, as determined by the policy (0=unlimited).
The minimum number of previously used passwords the client device stores to prevent reuse (0=no storage).
The maximum number of calendar days that can be synchronized (0=unlimited, 4=2 weeks, 5=1 month, 6=3 months, 7=6 months)
The number of password failures that are permitted before the device is wiped.
The email age limit for synchronization (0=all, 1=1 day, 2=3 days, 3=1 week, 4=2 weeks, 5=1 month)
The truncation size for plain text-formatted email messages (-1=unlimited, 0=header only, >0=truncate to size)
The truncation size for HTML-formatted email messages (-1=unlimited, 0=header only, >0=truncate to size)
The number of seconds of inactivity before the device locks itself (>9999=unlimited)
The minimum number of character classes (lower case, upper case, numbers and symbols) contained within the password.
The minimum device password length that the user can enter (1=unlimited).
Indicates whether to enable a recovery password to be sent to the server by using the Settings command.
Whether the device uses encryption.
The algorithm to be used when encrypting a message (0=TripleDES, 1=DES, 2=RC2128bit, 3=RC264bit, 4=RC240bit)
Whether the device is required to send encrypted messages.
Whether the device requires manual synchronization when the device is roaming.
The algorithm to be used when signing a message (0=SHA1, 1=MD5)
Whether the device is required to send signed S/MIME messages.
Require encryption on storage card (0=no, 1=yes)
A list of in-ROM applications that are not approved for execution.
Whether chat is enabled for this domain
ID of the homeserver
Responses
Section titled “Responses”Domain created
object
Unique ID of the object
Name of the domain, automatically converted to IDNA format
Decoded unicode domain name
Date string
Domain status (0=Normal, 1=Suspended, 2=Out Of Date, 3=Deleted)
Active Sync Policy overrides
object
Whether Bluetooth and hands-free profiles are allowed on the device (0=disabled, 1=allow only HFP, 2=allow)
Whether the device allows the use of a web browser.
Whether the device allows the use of the built-in camera.
Whether the device allows the use of personal email.
Whether the device allows synchronization with Desktop ActiveSync.
Whether the device uses HTML-formatted email.
Whether the device allows the use of Internet Sharing.
Whether the device allows the use of IrDA (infrared) connections.
Whether the device allows access to POP/IMAP email.
Whether the device allows the use of Remote Desktop.
Whether the device allows simple passwords.
Whether the device can negotiate the encryption algorithm to be used for signing (0=not allowed, 1=only strong, 2=any)
Whether the device uses soft certificates to sign outgoing messages.
Whether the device allows the use of the storage card.
Whether the device allows Short Message Service (SMS)/text messaging.
Whether the device allows unsigned applications to execute.
Whether the device allows unsigned cabinet (.cab) files to be installed.
Whether the device allows the use of Wi-Fi connections.
Indicates whether a client device requires an alphanumeric password.
A list of in-RAM applications that are approved for execution.
Indicates whether email attachments are enabled.
Deprecated, kept for backwards compatibility
Indicates whether a client device requires a password.
Whether the password expires after the specified number of days, as determined by the policy (0=unlimited).
The minimum number of previously used passwords the client device stores to prevent reuse (0=no storage).
The maximum number of calendar days that can be synchronized (0=unlimited, 4=2 weeks, 5=1 month, 6=3 months, 7=6 months)
The number of password failures that are permitted before the device is wiped.
The email age limit for synchronization (0=all, 1=1 day, 2=3 days, 3=1 week, 4=2 weeks, 5=1 month)
The truncation size for plain text-formatted email messages (-1=unlimited, 0=header only, >0=truncate to size)
The truncation size for HTML-formatted email messages (-1=unlimited, 0=header only, >0=truncate to size)
The number of seconds of inactivity before the device locks itself (>9999=unlimited)
The minimum number of character classes (lower case, upper case, numbers and symbols) contained within the password.
The minimum device password length that the user can enter (1=unlimited).
Indicates whether to enable a recovery password to be sent to the server by using the Settings command.
Whether the device uses encryption.
The algorithm to be used when encrypting a message (0=TripleDES, 1=DES, 2=RC2128bit, 3=RC264bit, 4=RC240bit)
Whether the device is required to send encrypted messages.
Whether the device requires manual synchronization when the device is roaming.
The algorithm to be used when signing a message (0=SHA1, 1=MD5)
Whether the device is required to send signed S/MIME messages.
Require encryption on storage card (0=no, 1=yes)
A list of in-ROM applications that are not approved for execution.
Whether chat is enabled for this domain
object
Unique ID of the object
Internal hostname of the server
Example
{ "orgID": 0, "title": "", "address": "", "adminName": "", "tel": "", "domainStatus": 0, "syncPolicy": { "allowbluetooth": 0, "allowbrowser": 0, "allowcam": 0, "allowconsumeremail": 0, "allowdesktopsync": 0, "allowhtmlemail": 0, "allowinternetsharing": 0, "allowirda": 0, "allowpopimapemail": 0, "allowremotedesk": 0, "allowsimpledevpw": 0, "allowsmimeencalgneg": 0, "allowsmimesoftcerts": 0, "allowstoragecard": 0, "allowtextmessaging": 0, "allowunsignedapps": 0, "allowunsigninstallpacks": 0, "allowwifi": 0, "alphanumpwreq": 0, "approvedapplist": [], "attenabled": 0, "devencenabled": 0, "devpwenabled": 0, "devpwexpiration": 0, "devpwhistory": 0, "maxattsize": "", "maxcalagefilter": 0, "maxdevpwfailedattempts": 8, "maxemailagefilter": 0, "maxemailbodytruncsize": -1, "maxemailhtmlbodytruncsize": -1, "maxinacttimedevlock": 900, "mindevcomplexchars": 3, "mindevpwlenngth": 4, "pwrecoveryenabled": 0, "reqdevenc": 0, "reqencsmimealgorithm": 0, "reqencsmimemessages": 0, "reqmansyncroam": 0, "reqsignedsmimealgorithm": 0, "reqsignedsmimemessages": 0, "reqstoragecardenc": 0, "unapprovedinromapplist": [] }}Validation of input parameters failed
object
List of errors encountered during validation
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
object
String representation of the exception
Examplegenerated
{ "message": "example"}The database query failed
object
Description of the error
Examplegenerated
{ "message": "example"}